# Config

```lua
TZMCForkLiftJobConfig = {}

--[[

    INSTALLATION 

    Feel free to adjust the notifications.lua file to your server requirments.

]]

TZMCForkLiftJobConfig.General = {
    palletAmount = 4,                               -- How many pallets need to go into the truck (The pounder has a maximum pallet capacity of 4)
    npc = {
        model = 's_m_m_ups_01',
        coords = vector4(1196.47, -3253.57, 7.1, 90.13)
    },
    reward = {
        type = 'cash',
        payment = 1000
    },
    returnTruck = {
        enabled = true,                             -- If this is set to true, the player will need to return the truck to the truck collection point
        coords = vector3(1270.84, -3296.4, 5.9)     -- Return truck coords
    },
    fuelResource = 'LegacyFuel'
}

TZMCForkLiftJobConfig.Notifications = {
    alreadyInJob = "You are already on a job! Finish it before starting a new one.",
    collectPallets = "Collect the pallets and load them into the truck.",
    deliverTruck = "Deliver the truck to the marked location.",
    returnTruck = "Return the truck to the collection point.",
    deliveryComplete =  "Delivery complete! Job done.",
    deliverSuccessfulBanner = {
        title = "DELIVERY SUCCESSFUL",
        subtitle = "You have delivered the pallets"
    }
}

TZMCForkLiftJobConfig.PalletLocations = {
    vector4(1089.75, -2968.79, 5.38, 178.07),
    vector4(1089.63, -2978.26, 5.38, 179.48),
    vector4(1066.72, -2975.47, 5.38, 87.37),
    vector4(1067.05, -2984.36, 5.39, 175.84),
    vector4(1086.82, -3021.2, 5.39, 181.02),
    vector4(1086.89, -3031.08, 5.39, 179.91),
    vector4(1086.89, -3047.04, 5.39, 180.17),
    vector4(1068.97, -3090.6, 5.39, 3.47),
    vector4(1068.58, -3076.31, 5.39, 2.57),
    vector4(1067.08, -3050.64, 5.38, 84.81),
    vector4(1069.15, -3035.92, 5.39, 0.16),
    vector4(1068.73, -3022.25, 5.39, 358.27),
    vector4(988.48, -2968.35, 5.38, 183.42),
    vector4(988.52, -2979.26, 5.38, 182.08),
    vector4(986.44, -2994.12, 5.38, 184.09),
    vector4(987.2, -3024.04, 5.39, 181.49),
    vector4(987.5, -3034.39, 5.38, 178.12),
    vector4(986.7, -3048.88, 5.39, 179.94),
    vector4(987.91, -3076.79, 5.39, 179.37),
    vector4(987.81, -3087.9, 5.39, 179.59),
    vector4(988.26, -3102.46, 5.39, 183.45),
    vector4(969.48, -3104.65, 5.39, 0.11),
    vector4(970.58, -3088.89, 5.38, 358.5),
    vector4(970.16, -3076.02, 5.38, 355.21),
    vector4(969.78, -3050.92, 5.39, 4.46),
    vector4(969.63, -3030.6, 5.39, 358.71),
    vector4(969.89, -3018.48, 5.39, 358.93),
    vector4(969.66, -2967.08, 5.39, 0.85),
    vector4(893.02, -2966.62, 5.39, 176.21),
    vector4(891.89, -2996.34, 5.38, 183.46),
    vector4(891.77, -3020.1, 5.39, 179.02),
    vector4(891.58, -3031.03, 5.39, 179.26),
    vector4(892.5, -3049.93, 5.38, 181.27),
    vector4(892.32, -3076.59, 5.39, 180.65),
    vector4(892.46, -3086.44, 5.38, 180.85),
    vector4(874.85, -3105.07, 5.38, 358.99),
    vector4(875.29, -3072.92, 5.39, 4.98),
    vector4(1114.04, -3031.73, 5.25, 271.55),
    vector4(1041.3, -3031.73, 5.25, 270.63),
    vector4(945.28, -3085.75, 5.25, 267.96),
}

TZMCForkLiftJobConfig.ForkliftSpawn = {
    vector4(1190.93, -3236.72, 5.48, 91.32),
    vector4(1190.8, -3239.66, 5.48, 90.81),
    vector4(1191.21, -3242.7, 5.48, 88.75),
    vector4(1191.18, -3245.97, 5.48, 90.61)
}

TZMCForkLiftJobConfig.DeliveryTruckSpawn = {
    vector4(934.15, -2921.69, 5.98, 269.44),
    vector4(987.87, -2921.42, 5.97, 270.26),
    vector4(1060.13, -2921.79, 5.97, 269.53),
    vector4(1131.33, -2921.73, 5.98, 269.67),
    vector4(1186.74, -2921.78, 5.98, 270.05)
}

TZMCForkLiftJobConfig.DeliveryLocation = {
    vector3(-392.76, -1876.55, 20.53),   -- Maze Bank Arena
    vector3(1001.16, -57.21, 74.96),     -- Casino Cargo Entrance
    vector3(775.16, 224.48, 85.84),      -- CNT Garage Entrance
    vector3(2687.06, 3455.7, 55.77),     -- YOU TOOL
    vector3(1977.92, 5170.99, 47.64),    -- Grapeseed Main Street/Union Road Shed
    vector3(45.6, 6296.49, 31.24)        -- Cluckin Bell Factory
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tzmc.dev/docs/qb-core/forklift-delivery-job/config.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
